ioZen Docs
API ReferenceProcess Boards
GET
/process-boards/{id}/cards

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Pass your ioZen API key as a Bearer token in the Authorization header.

Path Parameters

id*string

Process Board ID

Query Parameters

limit?integer

Maximum number of items to return (1–100, default 50)

Range1 <= value <= 100
Default50
cursor?string

Cursor for pagination — use next_cursor from a previous response

phase_id?string

Only cases currently in this phase of the board

Lengthlength <= 64
status?string

Only cases with this status

Value in"active""completed""archived"
created_after?string

Only items created at or after this ISO 8601 datetime

Formatdate-time
created_before?string

Only items created at or before this ISO 8601 datetime

Formatdate-time
updated_after?string

Only cases changed at or after this ISO 8601 datetime, including moves and assignment changes

Formatdate-time
include_test?string

Include test items (default false)

Default"false"
Value in"true""false"

Response Body

Successful response

application/json
  1. response
success*true
Value intrue
data*
Example Request
curl -X GET 'https://app.iozen.ai/api/v1/process-boards/cm7abc12x0001yz9k8mno3pqr/cards?phase_id=cm7pha78z0003yz9k8mno3pqr&status=active'
Example Response
{  "success": true,  "data": {    "cards": [      {        "id": "string",        "board_id": "string",        "phase": {          "id": "string",          "name": "string"        },        "title": "string",        "description": "string",        "status": "active",        "priority": "low",        "amount": "string",        "currency": "string",        "assignees": [          {            "id": "string",            "name": "string"          }        ],        "tags": [          {            "id": "string",            "name": "string"          }        ],        "intelligence": {          "tier": "string",          "tier_name": "string",          "score": 0        },        "source": {          "type": "string",          "id": "string"        },        "submission_ids": [          "string"        ],        "contacts": [          {            "id": "string",            "is_primary": true,            "contact": {              "id": "string",              "first_name": "string",              "last_name": "string",              "email": "string",              "phone": "string",              "company": "string",              "country": "string",              "custom_fields": {                "property1": null,                "property2": null              },              "tags": [                "string"              ],              "opt_in": {                "source": "string",                "at": "string"              },              "submission_count": 0,              "case_count": 0,              "is_test": true,              "last_activity_at": "string",              "created_at": "string",              "updated_at": "string"            }          }        ],        "records": [          {            "id": "string",            "is_primary": true,            "record_type": {              "id": "string",              "key": "string",              "name": "string"            },            "record": {              "id": "string",              "record_type_id": "string",              "values": {                "property1": null,                "property2": null              },              "schema_version": 0,              "parent_record_id": "string",              "contact_ids": [                "string"              ],              "is_test": true,              "created_at": "string",              "updated_at": "string"            }          }        ],        "comment_count": 0,        "is_test": true,        "first_human_reply_at": "string",        "awaiting_reply_since": "string",        "due_date": "string",        "completed_at": "string",        "created_at": "string",        "updated_at": "string"      }    ],    "pagination": {      "has_more": true,      "next_cursor": "string"    }  }}